/// <reference types="node" />
import { PonyfillBlob } from './Blob';
import { Readable } from 'stream';
import { PonyfillFormData } from './FormData';
import { PonyfillReadableStream } from './ReadableStream';
export type BodyPonyfillInit = XMLHttpRequestBodyInit | Readable | PonyfillReadableStream<Uint8Array>;
export interface FormDataLimits {
    fieldNameSize?: number;
    fieldSize?: number;
    fields?: number;
    fileSize?: number;
    files?: number;
    parts?: number;
    headerSize?: number;
}
export interface PonyfillBodyOptions {
    formDataLimits?: FormDataLimits;
}
export declare class PonyfillBody implements Body {
    private bodyInit;
    private options;
    bodyUsed: boolean;
    private _body;
    contentType: string | null;
    contentLength: number | null;
    constructor(bodyInit: BodyPonyfillInit | null, options?: PonyfillBodyOptions);
    private bodyType?;
    get body(): PonyfillReadableStream<Uint8Array> | null;
    arrayBuffer(): Promise<ArrayBuffer>;
    blob(): Promise<PonyfillBlob>;
    formData(opts?: {
        formDataLimits: FormDataLimits;
    }): Promise<PonyfillFormData>;
    json(): Promise<any>;
    text(): Promise<string>;
}
